DOM::CSS2BorderSpacing class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2BorderSpacing Class Reference

The `CSS2BorderSpacing` interface represents the border-spacing CSS Level 2 property. More...

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2BorderSpacing:

[legend]
Collaboration diagram for DOM::CSS2BorderSpacing:

[legend]
List of all members.

## Public Member Functions
| CSS2BorderSpacing (const CSS2BorderSpacing &other)
| CSS2BorderSpacing (CSS2BorderSpacingImpl *impl)
CSS2BorderSpacing & | operator= (const CSS2BorderSpacing &other)
unsigned short | horizontalType () const
| The A code defining the type of the value as defined in `CSSValue` .
unsigned short | verticalType () const
| The A code defining the type of the value as defined in `CSSValue` .
float | getHorizontalSpacing (const float horizontalType)
| This method is used to get the float value in a specified unit if the `horizontalSpacing` represents a length.
float | getVerticalSpacing (const float verticalType)
| This method is used to get the float value in a specified unit if the `verticalSpacing` represents a length.
void | setHorizontalSpacing (const unsigned short horizontalType, const float value)
| This method is used to set the horizontal spacing with a specified unit.
void | setVerticalSpacing (const unsigned short verticalType, const float value)
| This method is used to set the vertical spacing with a specified unit.
void | setInherit ()
| Set this property as inherit.

## Detailed Description

The `CSS2BorderSpacing` interface represents the border-spacing CSS Level 2 property.

Definition at line 319 of file css_extensions.h.

## Member Function Documentation

unsigned short CSS2BorderSpacing::horizontalType | ( |  | ) | const

| The A code defining the type of the value as defined in `CSSValue` . It would be one of `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` or `CSS_INHERIT` . Definition at line 191 of file css_extensions.cpp.

unsigned short CSS2BorderSpacing::verticalType | ( |  | ) | const

| The A code defining the type of the value as defined in `CSSValue` . It would be one of `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` or `CSS_INHERIT` . Definition at line 197 of file css_extensions.cpp.

float CSS2BorderSpacing::getHorizontalSpacing | ( | const float | horizontalType | ) |

  | This method is used to get the float value in a specified unit if the `horizontalSpacing` represents a length. If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised. Parameters:
  horizontalType | The specified unit.
  Returns: The float value. Exceptions:
  DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.
Definition at line 203 of file css_extensions.cpp.

float CSS2BorderSpacing::getVerticalSpacing | ( | const float | verticalType | ) |

  | This method is used to get the float value in a specified unit if the `verticalSpacing` represents a length. If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised. The value is `0` if only the horizontal value has been specified. Parameters:
  verticalType | The specified unit.
  Returns: The float value. Exceptions:
  DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.
Definition at line 209 of file css_extensions.cpp.

void CSS2BorderSpacing::setHorizontalSpacing | ( | const unsigned short | horizontalType,
|  | const float | value
| ) |

  | This method is used to set the horizontal spacing with a specified unit. If the vertical value is a length, it sets the vertical spacing to `0` . Parameters:
  horizontalType | The specified unit.
  value | The new value.
  Returns: Exceptions:
  DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length.
NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly. Definition at line 215 of file css_extensions.cpp.

void CSS2BorderSpacing::setVerticalSpacing | ( | const unsigned short | verticalType,
|  | const float | value
| ) |

  | This method is used to set the vertical spacing with a specified unit. If the horizontal value is not a length, it sets the vertical spacing to `0` . Parameters:
  verticalType | The specified unit.
  value | The new value.
  Returns: Exceptions:
  DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length or a percentage.
NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly. Definition at line 221 of file css_extensions.cpp.

void CSS2BorderSpacing::setInherit | ( |  | ) |

| Set this property as inherit. `horizontalType` and `verticalType` will be inherited. Returns: Definition at line 227 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:20 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001